summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-misc/arpsponge
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-misc/arpsponge')
-rw-r--r--net-misc/arpsponge/Manifest1
-rw-r--r--net-misc/arpsponge/arpsponge-3.12.2.ebuild62
-rw-r--r--net-misc/arpsponge/files/arpsponge.confd9
-rwxr-xr-xnet-misc/arpsponge/files/arpsponge.initd21
-rw-r--r--net-misc/arpsponge/metadata.xml8
5 files changed, 101 insertions, 0 deletions
diff --git a/net-misc/arpsponge/Manifest b/net-misc/arpsponge/Manifest
new file mode 100644
index 00000000000..8b45413e09a
--- /dev/null
+++ b/net-misc/arpsponge/Manifest
@@ -0,0 +1 @@
+DIST arpsponge-3.12.2.tar.gz 105507 SHA256 1b0f5062eb9c6c11cdafd5cc26b35275e71c5305bb91b827bab2f21f578a64cc SHA512 49106e03c03080b45f8c27f483dc2b95d588d156685966acc4e5c28d068a503c98aa3ef16fbdb8a8da6bae5dbe378b92dc82c932201cf5ce48cda4d006245a5b WHIRLPOOL d0877b052837d3d2dd15f74e925a9138be6ed1d7b18817937b4d513bdc140a7c2220ceb253d99cac69b81396dd3ea8d30bc78c2327ed354a1dbb95f0429ee529
diff --git a/net-misc/arpsponge/arpsponge-3.12.2.ebuild b/net-misc/arpsponge/arpsponge-3.12.2.ebuild
new file mode 100644
index 00000000000..a6b73e448f1
--- /dev/null
+++ b/net-misc/arpsponge/arpsponge-3.12.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit perl-module
+
+DESCRIPTION="Sweeps up stray ARP queries from a peering LAN"
+HOMEPAGE="https://www.ams-ix.net/downloads/arpsponge/"
+SRC_URI="https://www.ams-ix.net/downloads/${PN}/${PV}/${P}.tar.gz"
+LICENSE="|| ( GPL-1+ Artistic )"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-lang/perl
+ dev-perl/IO-String
+ dev-perl/NetAddr-IP
+ dev-perl/NetPacket
+ dev-perl/Net-ARP
+ dev-perl/Net-Pcap
+ dev-perl/Readonly
+ dev-perl/TermReadKey
+ dev-perl/Term-ReadLine-Gnu
+ virtual/perl-Data-Dumper
+ virtual/perl-File-Path
+ virtual/perl-Getopt-Long
+ virtual/perl-Sys-Syslog
+ virtual/perl-Time-HiRes
+"
+
+DEPEND="${RDEPEND}
+ sys-devel/make
+"
+
+src_install() {
+ perl_set_version
+ insinto ${VENDOR_LIB}/M6
+ doins lib/M6/ReadLine.pm
+
+ insinto ${VENDOR_LIB}/M6/ARP
+ doins lib/M6/ARP/Base.pm
+ doins lib/M6/ARP/Const.pm
+ doins lib/M6/ARP/Control.pm
+ doins lib/M6/ARP/Log.pm
+ doins lib/M6/ARP/NetPacket.pm
+ doins lib/M6/ARP/Sponge.pm
+ doins lib/M6/ARP/Table.pm
+ doins lib/M6/ARP/Util.pm
+ doins lib/M6/ARP/Queue.pm
+
+ insinto ${VENDOR_LIB}/M6/ARP/Control
+ doins lib/M6/ARP/Control/Base.pm
+ doins lib/M6/ARP/Control/Client.pm
+ doins lib/M6/ARP/Control/Server.pm
+
+ newinitd "${FILESDIR}/arpsponge.initd" arpsponge
+ newconfd "${FILESDIR}/arpsponge.confd" arpsponge
+ dosbin sbin/asctl sbin/arpsponge sbin/aslogtail
+ doman man/asctl.8 man/arpsponge.8 man/aslogtail.8
+ dodoc doc/command_mapping.txt doc/arpsponge_architecture.txt
+}
diff --git a/net-misc/arpsponge/files/arpsponge.confd b/net-misc/arpsponge/files/arpsponge.confd
new file mode 100644
index 00000000000..4f941f483a2
--- /dev/null
+++ b/net-misc/arpsponge/files/arpsponge.confd
@@ -0,0 +1,9 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Mandatory arguments: IPADDR/PREFIXLEN dev IFNAME
+# Example: 192.168.0.0/24 dev eth0
+# For further information see "perldoc arpsponge" or "man arpsponge".
+
+ARPSPONGE_OPTS=""
diff --git a/net-misc/arpsponge/files/arpsponge.initd b/net-misc/arpsponge/files/arpsponge.initd
new file mode 100755
index 00000000000..bfdeb8e40a4
--- /dev/null
+++ b/net-misc/arpsponge/files/arpsponge.initd
@@ -0,0 +1,21 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ARP sponge"
+ start-stop-daemon --start --quiet --exec /usr/sbin/arpsponge \
+ -- --daemon ${ARPSPONGE_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ARP sponge"
+ start-stop-daemon --stop --quiet -n arpsponge
+ eend $?
+}
diff --git a/net-misc/arpsponge/metadata.xml b/net-misc/arpsponge/metadata.xml
new file mode 100644
index 00000000000..3ed4669f55a
--- /dev/null
+++ b/net-misc/arpsponge/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>chainsaw@gentoo.org</email>
+ <name>Tony Vroon</name>
+ </maintainer>
+</pkgmetadata>